<?php

class m120127_152205_tbl_candidatos extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_candidatos', array(
                'id' => 'pk',
                'estado' => 'string',
                'dni' => 'string',
                'nombre' => 'string',
                'apellidos' => 'string',
                'email' => 'string',
                'telefono_fijo' => 'string',
                'telefono_movil' => 'string',
                'sexo' => 'string',
                'fecha_nacimiento' => 'date',
                'lugar_nacimiento' => 'string',
                'localidad' => 'string',
                'fecha_alta' => 'datetime',
                'usuario_alta' => 'integer',
                'fecha_modificacion' => 'datetime',
                'usuario_modificacion' => 'integer',
            ));                         
	}

	public function down()
	{
		$this->dropTable('tbl_candidatos');
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}